import { flags } from "@oclif/command";
import { Kommand } from "../../common";
export default class DebugProxy extends Kommand {
    static description: string;
    static flags: {
        host: flags.IOptionFlag<string>;
        port: flags.IOptionFlag<string>;
        ssl: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        username: flags.IOptionFlag<string>;
        password: flags.IOptionFlag<string | undefined>;
        protocol: flags.IOptionFlag<string>;
        as: flags.IOptionFlag<string | undefined>;
        "api-key": flags.IOptionFlag<string | undefined>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        forwardPort: import("@oclif/parser/lib/flags").IOptionFlag<number>;
        ttl: flags.IOptionFlag<string>;
        keepAuth: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        noAutoEnableDebugger: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        showDebuggerEvents: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        showDebuggerPayloads: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    static sdkOptions: {
        protocol: string;
    };
    runSafe(): Promise<void>;
}
