import { flags } from "@oclif/command";
import { Kommand } from "../../common";
export default class AppDoctor extends Kommand {
    static description: string;
    static flags: {
        host: flags.IOptionFlag<string>;
        port: flags.IOptionFlag<string>;
        ssl: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        username: flags.IOptionFlag<string>;
        password: flags.IOptionFlag<string | undefined>;
        protocol: flags.IOptionFlag<string>;
        as: flags.IOptionFlag<string | undefined>;
        "api-key": flags.IOptionFlag<string | undefined>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        elasticsearch: flags.IOptionFlag<string>;
    };
    static args: never[];
    static readStdin: boolean;
    ELK_MAX_VERSION: number;
    NODEJS_MAX_VERSION: number;
    COMMANDS_PLATFORMS: Record<string, string>;
    LIBRARIES_PLATFORMS: Record<string, string[]>;
    runSafe(): Promise<void>;
}
