import { flags } from "@oclif/command";
import { Kommand } from "../../common";
export default class AppScaffold extends Kommand {
    templatesDir: string;
    static initSdk: boolean;
    static description: string;
    static flags: {
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        flavor: flags.IOptionFlag<string>;
    };
    static args: {
        name: string;
        description: string;
        required: boolean;
    }[];
    runSafe(): Promise<void>;
    getRepo(flavor: string): "template-kuzzle-project" | "template-kiotp-project";
    checkDestination(destination: string): Promise<void>;
    prepareTemplate(): Promise<void>;
    cloneTemplate(flavor: string): Promise<void>;
    copyTemplate(destination: string): Promise<void>;
    cleanup(): Promise<void>;
}
