import { flags } from "@oclif/command";
import { Kommand } from "../../common";
export declare class FileDecrypt extends Kommand {
    static initSdk: boolean;
    static description: string;
    static examples: string[];
    static flags: {
        force: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        "output-file": flags.IOptionFlag<string | undefined>;
        "vault-key": flags.IOptionFlag<string | undefined>;
    };
    static args: {
        name: string;
        description: string;
        required: boolean;
    }[];
    runSafe(): Promise<void>;
}
