import { flags } from "@oclif/command";
import { Kommand } from "../common";
export default class Import extends Kommand {
    static keepAuth: boolean;
    static description: string;
    static flags: {
        protocol: flags.IOptionFlag<string>;
        host: flags.IOptionFlag<string>;
        port: flags.IOptionFlag<string>;
        ssl: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        username: flags.IOptionFlag<string>;
        password: flags.IOptionFlag<string | undefined>;
        as: flags.IOptionFlag<string | undefined>;
        "api-key": flags.IOptionFlag<string | undefined>;
        "preserve-anonymous": import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        "batch-size": flags.IOptionFlag<string>;
    };
    static args: {
        name: string;
        description: string;
        required: boolean;
    }[];
    runSafe(): Promise<void>;
    walkDirectories(directory: string): Promise<any>;
    getFileType(file: string): any;
}
