import { flags } from "@oclif/command";
import { Kommand } from "../../common";
export default class IndexExport extends Kommand {
    static keepAuth: boolean;
    static description: string;
    static flags: {
        protocol: flags.IOptionFlag<string>;
        type: flags.IOptionFlag<string>;
        host: flags.IOptionFlag<string>;
        port: flags.IOptionFlag<string>;
        ssl: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        username: flags.IOptionFlag<string>;
        password: flags.IOptionFlag<string | undefined>;
        as: flags.IOptionFlag<string | undefined>;
        "api-key": flags.IOptionFlag<string | undefined>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        path: flags.IOptionFlag<string | undefined>;
        "batch-size": flags.IOptionFlag<string>;
        query: flags.IOptionFlag<string>;
        format: flags.IOptionFlag<string>;
        scrollTTL: flags.IOptionFlag<string>;
    };
    static args: {
        name: string;
        description: string;
        required: boolean;
    }[];
    static examples: string[];
    runSafe(): Promise<void>;
}
