import { flags } from "@oclif/command";
import { Kommand } from "../../common";
export default class RealtimeSubscribe extends Kommand {
    static description: string;
    static examples: string[];
    static flags: {
        protocol: flags.IOptionFlag<string>;
        host: flags.IOptionFlag<string>;
        port: flags.IOptionFlag<string>;
        ssl: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        username: flags.IOptionFlag<string>;
        password: flags.IOptionFlag<string | undefined>;
        as: flags.IOptionFlag<string | undefined>;
        "api-key": flags.IOptionFlag<string | undefined>;
        scope: flags.IOptionFlag<string>;
        users: flags.IOptionFlag<string>;
        volatile: flags.IOptionFlag<string>;
        display: flags.IOptionFlag<string>;
        editor: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
    };
    static args: ({
        name: string;
        description: string;
        required: boolean;
    } | {
        name: string;
        description: string;
        required?: undefined;
    })[];
    static readStdin: boolean;
    beforeConnect(): Promise<void>;
    runSafe(): Promise<void>;
}
