import { flags } from "@oclif/command";
import { Kommand } from "../../common";
export default class UserExportMappings extends Kommand {
    static description: string;
    static flags: {
        protocol: flags.IOptionFlag<string>;
        host: flags.IOptionFlag<string>;
        port: flags.IOptionFlag<string>;
        ssl: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        username: flags.IOptionFlag<string>;
        password: flags.IOptionFlag<string | undefined>;
        as: flags.IOptionFlag<string | undefined>;
        "api-key": flags.IOptionFlag<string | undefined>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        path: flags.IOptionFlag<string>;
    };
    runSafe(): Promise<void>;
}
