import { flags } from "@oclif/command";
import { Kommand } from "../../common";
export declare class VaultShow extends Kommand {
    static initSdk: boolean;
    static description: string;
    static examples: string[];
    static flags: {
        "vault-key": flags.IOptionFlag<string | undefined>;
    };
    static args: ({
        name: string;
        description: string;
        required: boolean;
    } | {
        name: string;
        description: string;
        required?: undefined;
    })[];
    runSafe(): Promise<void>;
}
