import { Kommand } from "../common";
import { KuzzleSDK } from "./kuzzle";
declare type PaaSClientCredentials = {
    username: string;
    password: string;
} | {
    apiKey: string;
};
export declare class PaasKommand extends Kommand {
    static initSdk: boolean;
    protected host: string;
    protected port: number;
    protected ssl: any;
    protected packagesHost: string;
    protected paas: KuzzleSDK;
    initPaasClient(credentials: PaaSClientCredentials): Promise<void>;
    fileProjectCredentials(project: string): string;
    /**
     * Retrieve the current project name from the command line or current package.json
     */
    getProject(): any;
    getCredentials(): Promise<any>;
}
export {};
