import { flags } from "@oclif/command";
import { Kommand } from "../../common";
export default class DocumentSearch extends Kommand {
    static description: string;
    static examples: string[];
    static flags: {
        host: flags.IOptionFlag<string>;
        port: flags.IOptionFlag<string>;
        ssl: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        username: flags.IOptionFlag<string>;
        password: flags.IOptionFlag<string | undefined>;
        protocol: flags.IOptionFlag<string>;
        as: flags.IOptionFlag<string | undefined>;
        "api-key": flags.IOptionFlag<string | undefined>;
        sort: flags.IOptionFlag<string>;
        from: flags.IOptionFlag<string | undefined>;
        size: flags.IOptionFlag<string | undefined>;
        scroll: flags.IOptionFlag<string | undefined>;
        lang: flags.IOptionFlag<string>;
        editor: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
    };
    static args: ({
        name: string;
        description: string;
        required: boolean;
    } | {
        name: string;
        description: string;
        required?: undefined;
    })[];
    runSafe(): Promise<void>;
}
