import { flags } from "@oclif/command";
import { Kommand } from "../../common";
export default class EsMigrate extends Kommand {
    static initSdk: boolean;
    static description: string;
    static flags: {
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        src: flags.IOptionFlag<string>;
        dest: flags.IOptionFlag<string>;
        reset: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        "batch-size": import("@oclif/parser/lib/flags").IOptionFlag<number>;
        "no-interactive": import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        "dry-run": import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        pattern: flags.IOptionFlag<string | undefined>;
        scroll: flags.IOptionFlag<string>;
    };
    static examples: string[];
    private src;
    private dest;
    private detectProviderType;
    private migrateIndex;
    private migrateData;
    runMigrate(index: string): Promise<void>;
    runSafe(): Promise<void>;
}
