import { flags } from "@oclif/command";
import { Kommand } from "../../common";
export default class InstanceSpawn extends Kommand {
    static initSdk: boolean;
    static description: string;
    static flags: {
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        check: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        version: flags.IOptionFlag<string>;
    };
    runSafe(): Promise<void>;
    private generateDocoFile;
    private isPortAvailable;
    private findAvailablePort;
}
