import { flags } from "@oclif/command";
import { ApiKey } from "kuzzle-sdk";
import { PaasKommand } from "../../support/PaasKommand";
declare class PaasLogin extends PaasKommand {
    static description: string;
    static flags: {
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        project: flags.IOptionFlag<string | undefined>;
        username: flags.IOptionFlag<string | undefined>;
        only_npm: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    runSafe(): Promise<void>;
    createProjectCredentials(apiKey: ApiKey): void;
    authenticateNPM(username: string, password: string): Promise<void>;
}
export default PaasLogin;
