import { flags } from "@oclif/command";
import { Kommand } from "../../common";
export default class RedisListKeys extends Kommand {
    static description: string;
    static flags: {
        host: flags.IOptionFlag<string>;
        port: flags.IOptionFlag<string>;
        ssl: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        username: flags.IOptionFlag<string>;
        password: flags.IOptionFlag<string | undefined>;
        protocol: flags.IOptionFlag<string>;
        as: flags.IOptionFlag<string | undefined>;
        "api-key": flags.IOptionFlag<string | undefined>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        remove: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        size: flags.IOptionFlag<string>;
        max: flags.IOptionFlag<string>;
    };
    static args: {
        name: string;
        description: string;
        default: string;
    }[];
    static examples: string[];
    static readStdin: boolean;
    runSafe(): Promise<void>;
}
