import { flags } from "@oclif/command";
import { Kommand } from "../../common";
declare class SdkExecute extends Kommand {
    static description: string;
    static flags: {
        host: flags.IOptionFlag<string>;
        port: flags.IOptionFlag<string>;
        ssl: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        username: flags.IOptionFlag<string>;
        password: flags.IOptionFlag<string | undefined>;
        protocol: flags.IOptionFlag<string>;
        as: flags.IOptionFlag<string | undefined>;
        "api-key": flags.IOptionFlag<string | undefined>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        var: flags.IOptionFlag<string[]>;
        editor: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        "keep-alive": import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        "print-raw": import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    static args: {
        name: string;
        description: string;
        required: boolean;
    }[];
    private code;
    static readStdin: boolean;
    beforeConnect(): Promise<void>;
    getVariables(): any;
    runSafe(): Promise<void>;
    get haveSubscription(): boolean;
}
export default SdkExecute;
