import { flags } from "@oclif/command";
import { Kommand } from "../../common";
declare class SdkQuery extends Kommand {
    static description: string;
    static flags: {
        host: flags.IOptionFlag<string>;
        port: flags.IOptionFlag<string>;
        ssl: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        username: flags.IOptionFlag<string>;
        password: flags.IOptionFlag<string | undefined>;
        protocol: flags.IOptionFlag<string>;
        as: flags.IOptionFlag<string | undefined>;
        "api-key": flags.IOptionFlag<string | undefined>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        arg: flags.IOptionFlag<string[]>;
        body: flags.IOptionFlag<string>;
        editor: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        "body-editor": import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        index: flags.IOptionFlag<string | undefined>;
        collection: flags.IOptionFlag<string | undefined>;
        id: flags.IOptionFlag<string | undefined>;
        display: flags.IOptionFlag<string>;
        "print-raw": import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    static args: {
        name: string;
        description: string;
        required: boolean;
    }[];
    static readStdin: boolean;
    runSafe(): Promise<void>;
}
export default SdkQuery;
