import { flags } from "@oclif/command";
import { Kommand } from "../../common";
export default class UserExport extends Kommand {
    static description: string;
    static flags: {
        protocol: flags.IOptionFlag<string>;
        host: flags.IOptionFlag<string>;
        port: flags.IOptionFlag<string>;
        ssl: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        username: flags.IOptionFlag<string>;
        password: flags.IOptionFlag<string | undefined>;
        as: flags.IOptionFlag<string | undefined>;
        "api-key": flags.IOptionFlag<string | undefined>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        path: flags.IOptionFlag<string>;
        exclude: flags.IOptionFlag<string[]>;
        "generate-credentials": import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        "generated-username": flags.IOptionFlag<string>;
        "batch-size": flags.IOptionFlag<string>;
    };
    private excludes;
    beforeConnect(): Promise<void>;
    runSafe(): Promise<void>;
    _dumpUsers(): Promise<any>;
}
