import { Provider } from ".";
import { IndexSpecification } from "../types";
export declare class File implements Provider {
    private readonly path;
    constructor(path: string);
    private getIndexSpecFile;
    private getIndexDataFile;
    listIndices(pattern?: string): Promise<string[]>;
    getIndex(index: string): Promise<IndexSpecification>;
    createIndex(index: string, specification: IndexSpecification): Promise<void>;
    readData(index: string): Promise<any>;
    writeData(index: string, data: any): Promise<number>;
    clear(): Promise<void>;
}
export declare function fileExists(filePath: string): boolean;
